> ## Documentation Index
> Fetch the complete documentation index at: https://www.illusory.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Power Cycle Proxy

> Hard reboots a proxy server.

Rebooting a proxy server will restart the proxy server and all of its services. This is useful if you are experiencing issues with your proxy server.

<Info>
  You may reboot a proxy server once every 5 minutes.
</Info>


## OpenAPI

````yaml POST /v1/proxies/reboot/{proxyName}
openapi: 3.0.1
info:
  title: Illusory API Reference
  description: Interact with Illusory proxies
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cmd.illusory.io
security: []
paths:
  /v1/proxies/reboot/{proxyName}:
    post:
      description: Hard reboots a proxy server.
      parameters:
        - name: proxyName
          in: path
          description: Replace `{proxyName}` in the url path with `YOUR_PROXY`.
          required: true
          schema:
            type: string
      responses:
        '202':
          description: Server response
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                    description: Indicates whether the request was successful e.g., `true`
                  message:
                    type: string
                    description: Success message
                    example: Power cycle command sent to device successfully.
                  data:
                    $ref: '#/components/schemas/proxy-power-cycle'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    proxy-power-cycle:
      type: object
      properties:
        proxy_name:
          type: string
          description: Unique identifier of the proxy server
          example: ILL-US-AU1-9999
        last_reboot:
          type: string
          format: date-time
          description: Timestamp of when the proxy was last rebooted
          example: '2050-12-04T17:43:16.407+00:00'
    Error:
      type: object
      properties:
        ok:
          type: boolean
          description: Indicates the request was unsuccessful e.g., `false`
        data:
          type: object
          description: Additional error data
          properties:
            proxy_name:
              type: string
              description: Unique identifier of the proxy server
        message:
          type: string
          description: Error message
      example:
        ok: false
        data:
          proxy_name: ILL-US-AU1-9999
        message: Proxy not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: apiKey
      description: >-
        The `Authorization` header is used to authenticate with the API using
        your `Master` API key. Value is of the format `Bearer YOUR_KEY_HERE`.

````